Skip to main content
GET
/
v1
/
flow
/
{ticker}
/
aggregate
Aggregate flow over an arbitrary [start, end] window
curl --request GET \
  --url https://flow-api.skylit.ai/v1/flow/{ticker}/aggregate \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "ticker": "<string>",
    "startTime": "2023-11-07T05:31:56Z",
    "endTime": "2023-11-07T05:31:56Z",
    "tradeCount": 1,
    "sweepCount": 1,
    "totalPremium": 123,
    "aggregate": {
      "vwf": 123,
      "sdf": 123,
      "fir": 123,
      "composite": 123
    },
    "premiumSplit": {
      "bullishPremium": 123,
      "bearishPremium": 123,
      "neutralPremium": 123,
      "netPremium": 123,
      "bullishCount": 1,
      "bearishCount": 1,
      "neutralCount": 1,
      "sweepPremium": 123
    },
    "interpretation": {},
    "queryTimeMs": 1
  },
  "meta": {
    "timestamp": "2023-11-07T05:31:56Z",
    "requestId": "d7574836"
  }
}

Authorizations

Authorization
string
header
required

Skylit API key in the Authorization header (Authorization: Bearer fs_live_<key>). X-API-Key is also accepted.

Path Parameters

ticker
string
required

Underlying ticker symbol (uppercase, e.g. SPY, AAPL).

Example:

"SPY"

Query Parameters

startTime
string<date-time>
required

Lower bound of the window (RFC 3339, e.g. 2026-05-27T13:30:00Z).

endTime
string<date-time>
required

Upper bound of the window (RFC 3339).

optionType
enum<string>
default:all
Available options:
call,
put,
all
minPremium
number<double>
excludeMultiLeg
boolean
default:false

Exclude trades flagged as part of a multi-leg structure.

minDte
integer
Required range: x >= 0
maxDte
integer
Required range: x >= 0
date
string<date>

Response

Window-aggregated flow scores.

data
object
required
meta
object
required